import abc

from source import managers


class BaseRole(abc.ABC):
    def __init__(self, manager: "managers.Manager"):
        self.manager = manager

    @abc.abstractmethod
    def handle(self) -> None:
        """
        Behavior of the role
        """
